# $Revision: 1.9.2.1.2.4 $, $Date: 2004/03/02 02:17:09 $
%define		_base_name	eplip
Summary:	EPLIP (Enhanced Parallel Line IP) module
Summary(pl):	Modu EPLIP (Enhanced Parallel Line IP)
Name:		kernel-%{_base_name}
Version:	0.5.6
%define	_rel	8
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://e-plip.sourceforge.net/%{_base_name}-%{version}.tar.gz
# Source0-md5:	43019250e7227857ae13bdd39a45494d
Patch0:		kernel-%{_base_name}-Rules.make-fix.patch
%{!?_without_dist_kernel:BuildRequires:         kernel-headers}
Requires(post,postun):	/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveOS:	Linux
ExclusiveArch:	%{ix86}

%description
EPLIP (Enhanced Parallel Line IP) module.

%description -l pl
Modu EPLIP (Enhanced Parallel Line IP).

%package -n kernel-smp-eplip
Summary:	EPLIP (Enhanced Parallel Line IP) SMP module
Summary(pl):	Modu SMP EPLIP (Enhanced Parallel Line IP)
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}

%description -n kernel-smp-eplip
EPLIP (Enhanced Parallel Line IP) SMP module.

%description -n kernel-smp-eplip -l pl
Modu SMP EPLIP (Enhanced Parallel Line IP).

%prep
%setup -q -n %{_base_name}-%{version}
cp Rules.make Rules.make.smp
%patch0 -p1

%build
cp Rules.make Rules.make.up
mv Rules.make.smp Rules.make
%{__make} CONFIG_X86=1 CONFIG_ISA=1
mv eplip.o eplip-smp
mv Rules.make.up Rules.make
%{__make} clean
%{__make} CONFIG_X86=1 CONFIG_ISA=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}{,smp}/misc
install eplip-smp $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/eplip.o
install eplip.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-eplip
/sbin/depmod -a

%postun -n kernel-smp-eplip
/sbin/depmod -a

%files
%defattr(644,root,root,755)
%doc ChangeLog LAME-TESTS README TODO TODO-done WIRING
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-eplip
%defattr(644,root,root,755)
%doc ChangeLog LAME-TESTS README TODO TODO-done WIRING 
/lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-eplip.spec,v $
Revision 1.9.2.1.2.4  2004/03/02 02:17:09  ankry
- rel. 8

Revision 1.9.2.1.2.3  2004/02/18 21:23:59  undefine
- release 7, md5

Revision 1.9.2.1.2.2  2003/07/11 12:01:33  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.9.2.1.2.1  2003/05/11 16:45:28  dzimi
- rel++; rebuild with 2.2.25-3

Revision 1.9.2.1  2003/03/23 22:10:47  blues
- release 5; rebuild with 2.2.25

Revision 1.9  2002/11/18 08:53:50  kloczek
- release 4.

Revision 1.8  2002/11/18 08:35:00  marcus
- fixed _rel

Revision 1.7  2002/11/17 18:45:16  kloczek
- reorder in preamble.

Revision 1.6  2002/10/05 12:53:29  juandon
- added %%ExclusiveArch
- some fixes
- Release 3

Revision 1.5  2002/08/11 21:47:13  qboosh
- fixed pl spelling, added descriptions from summaries
- added standard kernel module requires
- rel 2

Revision 1.4  2002/07/10 07:24:47  marcus
- fixed patching

Revision 1.3  2002/07/10 07:20:56  cieciwa
- fixed name.

Revision 1.2  2002/07/10 07:12:51  cieciwa
- not complete missing %%descriptions, but maybe work.

Revision 1.1  2002/07/10 06:45:41  cieciwa
- initial
